PROGRAM ICOSA_GCM
  USE spherical_geom_mod
  USE metric
  USE domain_mod
  USE field_mod
  USE write_field
  USE geometry
  USE dimensions
  USE timeloop_gcm_mod
  USE transfert_mod
  USE dissip_mod
  USE disvert_mod
  USE etat0_mod
  USE transfert_mod
  IMPLICIT NONE
  
  TYPE(t_field),POINTER :: sum_ne(:)
  REAL(rstd),POINTER :: pt_sum_ne(:)
  
  INTEGER :: ind,i,j,k,n
  REAL(rstd) :: tot_sum=0
 
  CALL compute_metric
  CALL compute_domain
  CALL compute_geometry
  CALL init_transfert
  CALL init_disvert 
  
  CALL allocate_field(sum_ne,field_T,type_real)
  

  DO ind=1,ndomain
     
    pt_sum_ne=sum_ne(ind)
     
    CALL swap_dimensions(ind)
    CALL swap_geometry(ind)
    
    DO j=jj_begin,jj_end
      DO i=ii_begin,ii_end
        n=(j-1)*iim+i
        pt_sum_ne(n)=0
        DO k=1,6
          pt_sum_ne(n)=pt_sum_ne(n)+ne(n,k)
        ENDDO
        IF (domain(ind)%own(i,j)) tot_sum=tot_sum+Ai(n)
      ENDDO
    ENDDO
  ENDDO


  
  PRINT *," Diff surf",1-tot_sum/(4*Pi*radius*radius)

  
!  CALL WriteField("Ai",geom%Ai)
!  CALL WriteField("sum_ne",sum_ne)


  CALL timeloop
  
END PROGRAM ICOSA_gcm 
